## com.imcode.imcms.servlet.tags
Class ImageTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.imcode.imcms.servlet.tags.SimpleImcmsTag
              com.imcode.imcms.servlet.tags.ImageTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ImageTag

extends SimpleImcmsTag

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.imcode.imcms.servlet.tags.SimpleImcmsTag
`attributes`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ImageTag()`

Method Summary
`protected java.lang.String` `getContent(TagParser tagParser)`
`void` `setDocument(java.lang.String documentName)`
`void` `setMode(java.lang.String mode)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setStyleId(java.lang.String id)`
`void` `setUsemap(java.lang.String usemap)`

Methods inherited from class com.imcode.imcms.servlet.tags.SimpleImcmsTag
`doStartTag, setLabel, setNo, setPost, setPre`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageTag

    public ImageTag()

Method Detail

### getContent

    protected java.lang.String getContent(TagParser tagParser)

  Specified by:
    `getContent` in class `SimpleImcmsTag`

### setMode

    public void setMode(java.lang.String mode)

### setStyle

    public void setStyle(java.lang.String style)

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### setUsemap

    public void setUsemap(java.lang.String usemap)

### setStyleId

    public void setStyleId(java.lang.String id)

### setDocument

    public void setDocument(java.lang.String documentName)